summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2019-04-17 22:40:19 +1000
committerMichael Palimaka <kensington@gentoo.org>2019-04-17 22:40:46 +1000
commit1ef8efca144e717de2f921208b3ead7d96523960 (patch)
tree07c33880ba3820c2399f413af8d09b29d7fc2443
parentmedia-libs/tiff: Security cleanup (diff)
downloadgentoo-1ef8efca144e717de2f921208b3ead7d96523960.tar.gz
gentoo-1ef8efca144e717de2f921208b3ead7d96523960.tar.bz2
gentoo-1ef8efca144e717de2f921208b3ead7d96523960.zip
dev-cpp/rttr: fix tests
Closes: https://bugs.gentoo.org/683476 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Michael Palimaka <kensington@gentoo.org>
-rw-r--r--dev-cpp/rttr/rttr-0.9.6.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/dev-cpp/rttr/rttr-0.9.6.ebuild b/dev-cpp/rttr/rttr-0.9.6.ebuild
index b40e392a3c2..d63d19eafdf 100644
--- a/dev-cpp/rttr/rttr-0.9.6.ebuild
+++ b/dev-cpp/rttr/rttr-0.9.6.ebuild
@@ -14,6 +14,8 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
+RESTICT="test"
+
PATCHES=(
"${FILESDIR}/${P}-cmake.patch"
"${FILESDIR}/${P}-permission.patch"
@@ -30,5 +32,5 @@ src_configure() {
}
src_test() {
- "${S}"/bin/unit_tests || die
+ "${BUILD_DIR}"/bin/unit_tests || die
}